---
title: Cache.delete()
slug: Web/API/Cache/delete
tags:
  - API
  - Cache
  - Experimental
  - Method
  - NeedsContent
  - NeedsExample
  - Reference
  - Service Workers
  - ServiceWorker
  - delete
---
<p>{{APIRef("Service Workers API")}}</p>

<p>The <strong><code>delete()</code></strong> method of the {{domxref("Cache")}} interface finds the {{domxref("Cache")}} entry whose key is the request, and if found, deletes the {{domxref("Cache")}} entry and returns a {{jsxref("Promise")}} that resolves to <code>true</code>. If no {{domxref("Cache")}} entry is found, it resolves to <code>false</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>cache</em>.delete(<em>request</em>, {<em>options</em>}).then(function(<em>found</em>) {
  // your cache entry has been deleted if found
});
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>request</dt>
 <dd>The {{domxref("Request")}} you are looking to delete. This can be a <code>Request</code> object or a URL.</dd>
 <dt>options {{optional_inline}}</dt>
 <dd>An object whose properties control how matching is done in the <code>delete</code> operation. The available options are:
 <ul>
  <li><code>ignoreSearch</code>: A {{jsxref("Boolean")}} that specifies whether the matching process should ignore the query string in the url.  If set to <code>true</code>, the <code>?value=bar</code> part of <code>http://foo.com/?value=bar</code> would be ignored when performing a match. It defaults to <code>false</code>.</li>
  <li><code>ignoreMethod</code>: A {{jsxref("Boolean")}} that, when set to <code>true</code>, prevents matching operations from validating the {{domxref("Request")}} <code>HTTP</code> method (normally only <code>GET</code> and <code>HEAD</code> are allowed.) It defaults to <code>false</code>.</li>
  <li><code>ignoreVary</code>: A {{jsxref("Boolean")}} that, when set to <code>true,</code> tells the matching operation not to perform <code>VARY</code> header matching.  In other words, if the URL matches you will get a match regardless of  whether the {{domxref("Response")}} object has a <code>VARY</code> header. It defaults to <code>false</code>.</li>
  <li><code>cacheName</code>: A {{domxref("DOMString")}} that represents a specific cache to search within. Note that this option is ignored by <code>Cache.delete()</code>.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>a {{jsxref("Promise")}} that resolves to <code>true</code> if the cache entry is deleted, or <code>false</code> otherwise.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">caches.open('v1').then(function(cache) {
  cache.delete('/images/image.png').then(function(response) {
    someUIUpdateFunction();
  });
})</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Service Workers', '#cache-delete', 'Cache: delete')}}</td>
   <td>{{Spec2('Service Workers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Cache.delete")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Service_Worker_API/Using_Service_Workers">Using Service Workers</a></li>
 <li>{{domxref("Cache")}}</li>
 <li>{{domxref("WorkerGlobalScope.caches")}}</li>
</ul>
